import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, x):
        return torch.rsqrt(torch.reciprocal(torch.sqrt(x)))

batch_size = 1024
dim = 1024

def get_inputs():
    x = torch.rand(batch_size, dim) + 0.1
    return [x]

def get_init_inputs():
    return []